LINUX.ORG.RU

Вышел MPlayerXP-0.7.95

 , , ,


0

0

Вышел очередной релиз многопоточного мультимедийного проигрывателя для *nix. MPlayerXP — медиаплеер, созданный на основе MPlayerHQ, который основан на новом многопоточном ядре. Новое ядро обеспечивает более эффективное использование процессора и значительно улучшает производительность декодирования видео. Основная цель проекта — это получение гладкого воспроизведения фильма, благодаря монотонной нагрузке процессоров.

Из изменений стоит отметить:

  • Значительно повышена скорость воспроизведения. Сейчас 64-битная версия может масштабировать видеофильм разрешением 640x480 более чем до 2000x1500 на 25 FPS в реальном режиме без потери кадров с использованием неакселерированного '-vo x11' драйвера на Quad-Core AMD Phenom-9550, работающем на 2.2GHz.
  • Переименованы аргументы командной строки: они стали более объектно-ориентированными.
  • Переделана внутренняя архитектура проигрывателя (сейчас он полностью собирается статически со всеми внутренними библиотеками).
  • Переписан скрипт configure.
  • Изменены некоторые драйверы и добавлены новые.
  • Исправлены многие ошибки (сейчас проигрыватель может воспроизводить H.264 видеопоток на неакселерированном X11-драйвере).
  • Начата замена ассемблерных вставок с новой технологией, названной pvector (портируемая векторная библиотека).

>>> Подробности



Проверено: Shaman007 ()

Интересно, когда он в Gentoo появится? :)

KRoN73 ★★★★★ ()

Зверепоколонники никуда не делись.

anonymous ()

Ждём MPlayerVista, MPlayer7 и MPlayerServer2008 :-/

Steplton ★★★★★ ()

> * начата замена ассемблерных вставок с новой технологией, названной - pvector (портируемая векторная библиотека).

Кто-нибудь объяснит какой с этого профит? Может, мплеер можно будет портануть на бОльшее количество платформ?

А вообще, почему бы им это не послать в виде патчей в оригинальный проект.

anonymous ()

не собирается

~/bin/mplayerxp-0.7.95$ ./configure --help
./configure: 37: Syntax error: "(" unexpected
~/bin/mplayerxp-0.7.95$ ./configure
Entering 'etc' directory
./configure: 8: Syntax error: "(" unexpected
Leaving 'etc' directory
Entering 'DOCS' directory
./configure: 8: Syntax error: "(" unexpected
Leaving 'DOCS' directory
Entering 'mplayerxp' directory
./configure: 37: Syntax error: "(" unexpected
Leaving 'mplayerxp' directory
anonymous20090302 ()

Круто конечно, но вот сижу я смотрю Spice and wolf в 1080p, проц загружен на 1%. Лучше бы эти ребята чем нибудь полезным занялись...

anotheranonymous ()
Ответ на: комментарий от anonymous

>А вообще, почему бы им это не послать в виде патчей в оригинальный проект.
Где то слышал я, что разрабы mplayer засранцы еще те и патчи очень неохотно берут.

anotheranonymous ()
Ответ на: комментарий от anotheranonymous

> Круто конечно, но вот сижу я смотрю Spice and wolf в 1080p, проц загружен на 1%. Лучше бы эти ребята чем нибудь полезным занялись...

Если у тебя есть поддержка vdpau то это несомненно круто, но новость то не об этом. У меня например нет хардварного декодирования и mplayer даже с оптимизированными настройками поглощает 70-90% CPU.

anonymous ()

добавление постфикса ХР дает + 10 к понтам.

Переименованы аргументы командной строки - они стали более объектно-ориентированными

это как? о_О

registrant ★★★★★ ()

Хммм, провести что ли тестирование mplayerXP vs. mplayer & ffmpeg-mt :)

Andru ★★★★ ()

ох, быть бы мне корректором.....

cetjs2 ★★★★★ ()
Ответ на: комментарий от anotheranonymous

> Лучше бы эти ребята чем нибудь полезным занялись...

Круто конечно, но вот сижу я смотрю Spice and wolf в 1080p


лучше бы ты тоже

overmind88 ★★★★★ ()
Ответ на: комментарий от overmind88

>лучше бы ты тоже
А что мне нельзя после напряжного дня посмотреть аниме?

anotheranonymous ()
Ответ на: комментарий от Steplton

> Ждём MPlayerVista, MPlayer7 и MPlayerServer2008 :-/
А вот зря - проекту всего на пару лет меньше чем оригиналу.

MEZON ★★★★★ ()
Ответ на: комментарий от anonymous

* начата замена ассемблерных вставок с новой технологией, названной - pvector (портируемая векторная библиотека).


Кто-нибудь объяснит какой с этого профит? Может, мплеер можно будет портануть на бОльшее количество платформ?


Это значит, что вместо ассемблерных вставок типа:

asm volatile(
«movntdqa %%xmm0, (%esi)»:::«memory»);

в проекте будут использоваться нормальные C-функции класса:

_ivec_storea(memory_ptr,__ivec_tmp);

Преимущества подобного подхода состоят в том, что pvector учитывает что длина SIMD регистров может быть разной на SSE и AVX архитектурах например. Более того, pvector - портируем на ARM, SUN, FreeScale и другие системы поддерживающие SIMD инструкции.

nick ()
Ответ на: комментарий от anonymous20090302

./configure: 37: Syntax error: "(" unexpected



У вас версия bash какая?
Объявление массивов в bash-скриптах, класса:

ARRAY = (ELEM1, ELEM2, ELEM3)

поддерживается начиная с версии 2.05, по крайней мере как заявлено в сопроводительной документации. С bash 3.2+ однозначно проблем не должно быть.

nick ()
Ответ на: комментарий от registrant

Переименованы аргументы командной строки - они стали более объектно-ориентированными


это как? о_О


mplayerxp --long-help

и станет всё понятно.

nick ()

Эту новость кто-нибудь подтвердит когда-нибудь или так и будем за ширмой её обсуждать?

nick ()

плеер и впрямь неимоверно быстрый... такой быстрый, что после запуска я успеваю узреть только «Недопустимая инструкция» и с какого-то перепугу посеревшую консоль О_о Аффтар явно долбанулся, решая за пользователя менять цвет его святой консоли! Ну да ладно, попробую еще поэксперементировать, надеюсь таки удастся утихомирить сверхскорость в своем 64-битном арче и таки глянуть чего оно может.

ЗЫ: по поводу объектно-ориентированных ключей - бамбук раскуривался отменный, не иначе.

Andru ★★★★ ()
Ответ на: комментарий от Andru

плеер и впрямь неимоверно быстрый... такой быстрый, что после

запуска я успеваю узреть только «Недопустимая инструкция» и с

какого-то перепугу посеревшую консоль


Он не расчитан на gcc-4.4.+ Его нужно компилить gcc-4.2.2 - 4.3.4

nick ()
Ответ на: комментарий от alex_custov

ссылка на сайте на новость неправильная:
http://sourceforge.net/forum/forum.php?forum_id=0. Пишет ERROR No Forum Chosen

Официальный ответ с IRC чата:

[21:20] <nickols_k> hello! Does somebody know how to bind News of project with Forum???
[21:25] <@ctsai-sf> Hello nickols_k, that's not currently possible with the current system.
[21:25] <@ctsai-sf> If you would like to see that changed, please submit a Request For Enhancement for that: http://sourceforge.net/apps/ideatorrent/sourceforge/

nick ()
Ответ на: комментарий от Andru

Хммм. Чем обусловлено такое ограничение?

Они там что-то со структурами починили и сделали gcc-4.4 обратно не совместимым с gcc-3 - gcc-4.3+ сериями.

http://gcc.gnu.org/gcc-4.4/changes.html

Packed bit-fields of type char were not properly bit-packed on many targets prior to GCC 4.4. On these targets, the fix in GCC 4.4 causes an ABI change. For example there is no longer a 4-bit padding between field a and b in this structure: 
    struct foo
    {
      char a:4;
      char b:8;
    } __attribute__ ((packed));
There is a new warning to help identify fields that are affected:
    foo.c:5: note: Offset of packed bit-field 'b' has changed in GCC 4.4

Возможно gcc-4.4 содержит в себе ещё какие-то подводные камни. Пока gcc-4.4 не рекомендован для mplayerxp

nick ()
Ответ на: комментарий от nick

Ясно. Хотя странно, что все настолько плохо. Оригинальный mplayer работает, но падает на mkv если компилить с флагами -O3. Попробую отыскать более старую версию gcc.

Andru ★★★★ ()
Ответ на: комментарий от Andru

Ясно. Хотя странно, что все настолько плохо. Оригинальный mplayer

работает, но падает на mkv если компилить с флагами -O3. Попробую

отыскать более старую версию gcc.


А чем .rpm не устраивают? Они компилирована gcc-4.3.4 с -O3 оптимизацией.

nick ()
Ответ на: комментарий от nick

А чем .rpm не устраивают?

Тем, что у меня не rpm-based дистрибутив? :) Хотя искать старый gcc бесполезно, попробую rpm распаковать и установить.

Andru ★★★★ ()
Ответ на: комментарий от Andru

А ну да, дело бесполезное из-за десятка зависимостей к SDL и пр., а тащить такую кучу всякого хлама в систему не охота 8)

Andru ★★★★ ()

Это плеер для владельцев ati?

Sekai ()
Ответ на: комментарий от Sekai

Это плеер для владельцев ati?

Какой неудачный тонкий намек на vdpau, который не работает на моем GeForce 7900GS :}

Andru ★★★★ ()
Ответ на: комментарий от anotheranonymous

а разрабам mplayerxp нельзя после напряжённого рабочего дня покодить для души?

overmind88 ★★★★★ ()

Re: Вышел MPlayerXP-0.7.95

Хотелось бы сказать автору большое спасибо и попросить выкинуть в билдах зависимость от libartsc.so.0 очень-очень далеко. В репах арча и AUR пока ничего не нашел для неё...

shahid ★★★★★ ()
Ответ на: Re: Вышел MPlayerXP-0.7.95 от shahid

Re: Вышел MPlayerXP-0.7.95

упс, ещё траблы с libaudio и libvidix... Видимо они тоже уже не котируются :)

shahid ★★★★★ ()
Ответ на: Re: Вышел MPlayerXP-0.7.95 от shahid

Хотелось бы сказать автору большое спасибо и попросить выкинуть в
билдах зависимость от libartsc.so.0 очень-очень далеко.

И как же -ao arts работать будет? Arts это базовый звуковой сервер для KDE, там без его поддержки очень тяжело!

nick ()
Ответ на: комментарий от Andru

А ну да, дело бесполезное из-за десятка зависимостей к SDL и пр., а

тащить такую кучу всякого хлама в систему не охота 8)


Юзайте i686 компиляцию - она урезана до минимума, в отличие от x86_64, в которую включено почти всё.

nick ()
Ответ на: Re: Вышел MPlayerXP-0.7.95 от shahid

упс, ещё траблы с libaudio и libvidix... Видимо они тоже уже не котируются :)


Подеержка libvidix временно приостановлена до выхода релиза 0.8, так как у автора нет возможности протестировать этот драйвер из-за отсутствия нормальной документации на Radeon-HD Video-Overlay.

nick ()
Ответ на: комментарий от anonymous20090302

GNU bash, version 3.2.39(1)-release (i486-pc-linux-gnu)

У меня:

GNU bash, version 3.2.17(2)-release (x86_64-mandriva-linux-gnu)

И всё конфигурируется!

nick ()
Ответ на: комментарий от anonymous20090302

GNU bash, version 3.2.39(1)-release (i486-pc-linux-gnu)


Попробуйте ан своём bash'е запустиить несколько примеров из книжки! Может bug-report писать надо комманде разработчиков bash'а, а не MPlayerXP?

nick ()
Ответ на: комментарий от Andru

Тем, что у меня не rpm-based дистрибутив? :) Хотя искать старый gcc

бесполезно, попробую rpm распаковать и установить.


RPM можно распаковать при помощи Midnight Commander.

По поводу gcc-4.4. Они поменяли ABI, а это говорит о том, что его не достаточно просто скачать и обновить. Им нужно перекомпилировать всю систему, включая ядро, glibc и все библиотеки, а после этого - все программы. Смена ABI в gcc уже была при переходе с 2.95 на 3.0, но она касалась только C++ и уже тогда многим не понравился объём работ, связанный с обновлением компилятора, а в случае с 4.4, изменение ABI коснулось C, что предполагает ещё больший объём компиляций.



nick ()
Ответ на: комментарий от nick

Arts это базовый звуковой сервер для KDE, там без его поддержки очень тяжело!

Ты не поверишь...

Ximen ★★★★ ()
Ответ на: комментарий от nick

>Arts это базовый звуковой сервер для KDE, там без его поддержки очень тяжело!

это мертвый звуковой сервер для KDE. man Phonon

registrant ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.